NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.FlangeBuilder Class Reference

Represents a Flange feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.FlangeBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  InsetTypeOptions { MaterialInside, MaterialOutside, BendOutside }
 This enum represents the inset type for the material of the flange. More...
 
enum  LengthTypeOptions { InsideDimension, OutsideDimension, WebDimension }
 This enum indicates the two ways that the flange length can be measured. More...
 
enum  MatchFaceOptions { None, UntilSelected }
 This enum represents the match face option for the flange. More...
 
enum  OffsetTypeOptions { Inside, Outside }
 This enum represents the offset type for the flange. More...
 
enum  WidthTypeOptions {
  FullEdge, CenterOfEdge, AtEdgeEnd, FromEdgeEnd,
  FromBothEnds, Custom
}
 This enum represents the width type for the flange. More...
 

Public Member Functions

unsafe void DeleteSketch ()
 Delete the flange sketch More...
 
unsafe void EditSketch ()
 Edit the sketch base on a new edge you need to call SetEdge to set a new edge More...
 
unsafe NXOpen.Sketch GetSketch ()
 Get the flange sketch More...
 
unsafe void SetBendAngle (string bendAngle)
  More...
 
unsafe void SetFirstDistance (string firstDistance)
  More...
 
unsafe void SetLength (string length)
  More...
 
unsafe void SetOffset (string offset)
  More...
 
unsafe void SetSecondDistance (string secondDistance)
  More...
 
unsafe int ValidateBuilderData ()
 Verify that the builder data is valid for creating a flange. More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression BendAngle [get]
 Returns the bend angle for flange. More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the bend options object. More...
 
unsafe NXOpen.Edge Edge [get, set]
 Returns or sets the edge on which the flange is created. More...
 
unsafe NXOpen.Expression FirstDistance [get]
 Returns a distance based on NXOpen.Features.SheetMetal.FlangeBuilder.WidthType . More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBuilder.InsetTypeOptions 
InsetType [get, set]
 Returns or sets the inset type (inside, outside, bendoutside) for the flange. More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length of the flange. More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBuilder.LengthTypeOptions 
LengthType [get, set]
 Returns or sets a enum indicating the length type. More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBuilder.MatchFaceOptions 
MatchFaceOption [get, set]
 Returns or sets the match face selection type. More...
 
unsafe NXOpen.Plane MatchPlane [get, set]
 Returns or sets the Match Plane. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset value for the flange. More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBuilder.OffsetTypeOptions 
OffsetType [get, set]
 Returns or sets the offset type for the flange. More...
 
unsafe NXOpen.Expression SecondDistance [get]
 Returns a distance based on NXOpen.Features.SheetMetal.FlangeBuilder.WidthType . More...
 
unsafe NXOpen.Point3d Vertex [get, set]
 Returns or sets the vertex on the flange edge, needed to dimension the flange width. More...
 
unsafe
NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions 
WidthType [get, set]
 Returns or sets the width type for flange. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Flange feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateFlangeFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the inset type for the material of the flange.

Enumerator
MaterialInside 

The flange is flush with the thickness face on the inside

MaterialOutside 

The flange is flush with the thickness face on the outside

BendOutside 

The bend and flange are outside the thickness face

This enum indicates the two ways that the flange length can be measured.

Enumerator
InsideDimension 

The flange length is dimensioned to the Inner Mold line.

OutsideDimension 

The flange length is dimensioned to the Outer Mold Line.

WebDimension 

The flange length is dimensioned to the Bend Tangent Line.

This enum represents the match face option for the flange.

Enumerator
None 

The flange is placed on the selected edge

UntilSelected 

The flange face is extended until the selected plane

This enum represents the offset type for the flange.

Enumerator
Inside 

The flange is offset to the inside of the face

Outside 

The flange is offset to the outside of the face

This enum represents the width type for the flange.

Enumerator
FullEdge 

The flange spans the entire edge.

CenterOfEdge 

The flange is centered on the edge.

AtEdgeEnd 

The flange starts from the specified end of the edge.

FromEdgeEnd 

The flange starts at a specified distance from an end of the edge.

FromBothEnds 

The flange starts and ends at specified distances from the ends of the edge.

Custom 

The flange sketch has been edited after creation and may or may not conform to any of the above.

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.FlangeBuilder.DeleteSketch ( )
inline

Delete the flange sketch

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe void NXOpen.Features.SheetMetal.FlangeBuilder.EditSketch ( )
inline

Edit the sketch base on a new edge you need to call SetEdge to set a new edge

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Sketch NXOpen.Features.SheetMetal.FlangeBuilder.GetSketch ( )
inline

Get the flange sketch

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Returns
unsafe void NXOpen.Features.SheetMetal.FlangeBuilder.SetBendAngle ( string  bendAngle)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.BendAngle instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
bendAngle
unsafe void NXOpen.Features.SheetMetal.FlangeBuilder.SetFirstDistance ( string  firstDistance)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
firstDistance
unsafe void NXOpen.Features.SheetMetal.FlangeBuilder.SetLength ( string  length)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.Length instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
length
unsafe void NXOpen.Features.SheetMetal.FlangeBuilder.SetOffset ( string  offset)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.Offset instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
offsetThe flange offset value
unsafe void NXOpen.Features.SheetMetal.FlangeBuilder.SetSecondDistance ( string  secondDistance)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance instead.

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Parameters
secondDistance
unsafe int NXOpen.Features.SheetMetal.FlangeBuilder.ValidateBuilderData ( )
inline

Verify that the builder data is valid for creating a flange.

If the builder data is valid, return value is zero.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

Returns
A value of zero is returned if the data in the builder is valid.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBuilder.BendAngle
get

Returns the bend angle for flange.

It should be set in degrees (??????).

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.FlangeBuilder.BendOptions
get

Returns the bend options object.

The bend options object stores additional parameters for the bend, such as bend radius, bend relief width and depth, corner relief type etc.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Edge NXOpen.Features.SheetMetal.FlangeBuilder.Edge
getset

Returns or sets the edge on which the flange is created.

The edge should be linear and it should not be a thickness edge.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance
get

Returns a distance based on NXOpen.Features.SheetMetal.FlangeBuilder.WidthType .

See NXOpen.Features.SheetMetal.FlangeBuilder.WidthType for a detailed desctiption of what this distance stands for.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.FlangeBuilder.InsetTypeOptions NXOpen.Features.SheetMetal.FlangeBuilder.InsetType
getset

Returns or sets the inset type (inside, outside, bendoutside) for the flange.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBuilder.Length
get

Returns the length of the flange.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.FlangeBuilder.LengthTypeOptions NXOpen.Features.SheetMetal.FlangeBuilder.LengthType
getset

Returns or sets a enum indicating the length type.

For Features created in NX8 and above: The way length is measured for the flange. It can either be measure from the inside edge or the outside edge.

Flange length can be specified starting from the selected edge or from the corresponding edge on the other face (other linear edge on the other side of the thickness face). If the length is specified from the selected edge use value NXOpen.Features.SheetMetal.FlangeBuilder.LengthTypeOptions.InsideDimension or if the flange length is specifed from the other edge use value NXOpen.Features.SheetMetal.FlangeBuilder.LengthTypeOptions.OutsideDimension .

For Features created in NX8 and above: Flange length can be measure from the Inner Mold Line, Outer Mold Line or Bend Tangent Line.

Inner Mold Line: Intersection of inner tab face and inner flange web face Outer Mold Line: Intersection of outer tab face and outer flange web face Bend Tangent Line: common edge between flange web face and bend face.

Flange length can be specified starting from the inner mold line or outer mold line or bend tangent line. If the length is specified from the inner mold line use value NXOpen.Features.SheetMetal.FlangeBuilder.LengthTypeOptions.InsideDimension or if the flange length is specifed from the outer mold line use value NXOpen.Features.SheetMetal.FlangeBuilder.LengthTypeOptions.OutsideDimension or if the flange length is specifed from the bend tangent line use value NXOpen.Features.SheetMetal.FlangeBuilder.LengthTypeOptions.WebDimension .

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.FlangeBuilder.MatchFaceOptions NXOpen.Features.SheetMetal.FlangeBuilder.MatchFaceOption
getset

Returns or sets the match face selection type.

None for Regular Flange. Until Selected for Match To Face type Flange .

Created in NX8.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Plane NXOpen.Features.SheetMetal.FlangeBuilder.MatchPlane
getset

Returns or sets the Match Plane.

Created in NX8.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBuilder.Offset
get

Returns the offset value for the flange.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.FlangeBuilder.OffsetTypeOptions NXOpen.Features.SheetMetal.FlangeBuilder.OffsetType
getset

Returns or sets the offset type for the flange.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance
get

Returns a distance based on NXOpen.Features.SheetMetal.FlangeBuilder.WidthType .

See NXOpen.Features.SheetMetal.FlangeBuilder.WidthType for a detailed desctiption of what this distance stands for.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Point3d NXOpen.Features.SheetMetal.FlangeBuilder.Vertex
getset

Returns or sets the vertex on the flange edge, needed to dimension the flange width.

The vertex needs to be specified ONLY if NXOpen.Features.SheetMetal.FlangeBuilder.WidthType is set to one of NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.AtEdgeEnd , NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.FromEdgeEnd . In case of NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.FromBothEnds , the start vertex of the edge is assumed to be the start point for NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance .

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions NXOpen.Features.SheetMetal.FlangeBuilder.WidthType
getset

Returns or sets the width type for flange.

Use one of the values from NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions . Depending on which of the values from the enum is used, none, either or both of the distance values from NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance and NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance may be used. Here is a description of the distances:

If the value is NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.FullEdge , then both the FirstDistance and NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance values are unused.

If the value is NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.CenterOfEdge , then both the NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance and NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance represent exactly half the width of the flange.

If the value is NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.AtEdgeEnd , then NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance represents the width of the flange, starting from the end of the edge specified by the NXOpen.Features.SheetMetal.FlangeBuilder.Vertex and the NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance is not used.

If the value is NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.FromEdgeEnd , then NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance represents the distance of the start point of the flange from the end of the edge specified by NXOpen.Features.SheetMetal.FlangeBuilder.Vertex and NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance represents the width of the flange.

If the value is NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.FromBothEnds , then NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance represents the distance of the start point of the flange from the from the end of the edge specified by NXOpen.Features.SheetMetal.FlangeBuilder.Vertex and NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance represents the distance of the end point of the flange from end of the edge opposite to the end specified by NXOpen.Features.SheetMetal.FlangeBuilder.Vertex .

The value NXOpen.Features.SheetMetal.FlangeBuilder.WidthTypeOptions.Custom , cannot be set by the user. It is set internally if the sketch for the flange has been edited after creation. In this case, the expressions NXOpen.Features.SheetMetal.FlangeBuilder.FirstDistance and NXOpen.Features.SheetMetal.FlangeBuilder.SecondDistance may or may not retain their original meaning when the flange was first created, so the user should not rely on these any more to mean anything specific.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.